# ---------------------------------------------------
# PyCDDT - Python Custom Debian Distributions Toolkit
# ---------------------------------------------------
# Module:    PyCDDT
# File:      __init__.py
# Author:    Sergio Talens-Oliag <sto@debian.org>
# Copyright: (c) 2005, 2006 Sergio Talens-Oliag <sto@debian.org>
# SVN Id:    $Id: __init__.py 310 2006-02-04 10:46:37Z sto $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston MA 02110-1301 USA
# ---------------------
# -*- coding: utf-8 -*-
# ---------------------

"""
PyCDDT Module

Implements everything we need from the cddtool, the main program is a small
Python script that uses this module.
"""
# Module version
version="_@_CDDT_VERSION_@_"
# Initialize the l10n system for the module
__l10n = True
if __l10n:
  try:
    import gettext
    __t = gettext.translation('cddt-tools', '/usr/share/locale')
    _ = __t.ugettext
  except Exception:
    __l10n = False
if not __l10n:
  def _(str): return str.encode('utf-8')
# Submodules list
__all__ = [ "globals", "CDDTask", "Commands", "CtrlFile", "Utils" ]
# Defaults
defaultDFile = 'tasks.dsc'

# ------
# SVN Id: $Id: __init__.py 310 2006-02-04 10:46:37Z sto $
